JBoss API: Class DeploymentException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class DeploymentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jboss.deployment.DeploymentException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  J2eeDeploymentException

public class DeploymentException
extends java.lang.Exception

Thrown by a deployer if an application component could not be deployed.

Version:
  $Revision: 1.2 $
Author:
  Toby Allsopp (toby.allsopp@peace.com)
See Also:
  `DeployerMBean`, Serialized Form

Field Summary
`protected java.lang.Throwable` | `cause` The root cause of this exception

Constructor Summary
`DeploymentException(java.lang.String message)`
`DeploymentException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected java.lang.Throwable cause

  The root cause of this exception

Constructor Detail

### DeploymentException

    public DeploymentException(java.lang.String message)

### DeploymentException

    public DeploymentException(java.lang.String message,
                               java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.